"{ Package: 'jv:calipel/s' }"

Object subclass:#BenchmarkPlatform
	instanceVariableNames:''
	classVariableNames:'Current'
	poolDictionaries:''
	category:'CalipeL-S-Core'
!

!BenchmarkPlatform class methodsFor:'documentation'!

documentation
"
 Replace 'Object', 'NewClass1' and
 the empty string arguments by true values.

 Install (or change) the class by 'accepting',
 either via the menu or the keyboard (usually CMD-A).

 You can also change the category simply by editing
 the categoryString and accepting.

 To be nice to others (and yourself later), do not forget to
 add some documentation; preferably under the classes documentation
 protocol.
 (see the `create documentation stubs' item in the methodList menu;
  switch from instance to class to find this menu item.)

 Notice, that ST/X uses the convention to document the class using
 comment-only class methods (however, ST80 comments are supported and
 can be changed via the class-documentation menu).

"
! !

!BenchmarkPlatform class methodsFor:'accessing'!

current
    ^Current

    "Created: / 06-06-2013 / 08:54:04 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!BenchmarkPlatform methodsFor:'accessing-performance counters'!

millisecondTime
    "raise an error: must be redefined in concrete subclass(es)"

    ^ self subclassResponsibility
! !

!BenchmarkPlatform methodsFor:'acessing-streams'!

stderr
    "raise an error: must be redefined in concrete subclass(es)"

    ^ self subclassResponsibility
!

stdout
    "raise an error: must be redefined in concrete subclass(es)"

    ^ self subclassResponsibility
! !

!BenchmarkPlatform methodsFor:'configuration'!

configurationStringMachineId
    self subclassResponsibility

    "Created: / 13-07-2013 / 22:45:30 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

configurationStringOS
    self subclassResponsibility

    "Created: / 22-06-2013 / 22:55:46 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

configurationStringRuntime
    self subclassResponsibility

    "Created: / 22-06-2013 / 22:55:39 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!BenchmarkPlatform methodsFor:'exit'!

exit:arg
    "raise an error: must be redefined in concrete subclass(es)"

    ^ self subclassResponsibility
! !

!BenchmarkPlatform methodsFor:'queries'!

isHeadless
    "raise an error: must be redefined in concrete subclass(es)"

    ^ self subclassResponsibility
!

isPharo
    ^false

    "Modified: / 06-06-2013 / 09:40:12 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

isSmalltalkX
    ^false

    "Modified: / 06-06-2013 / 09:40:20 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!BenchmarkPlatform methodsFor:'running'!

warmUpPost
    "Called after benchmark's warmup"

    "Created: / 07-06-2013 / 02:09:06 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

warmUpPre
    "Called before benchmark's warmup"

    "Created: / 07-06-2013 / 02:09:00 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!BenchmarkPlatform class methodsFor:'documentation'!

version_HG

    ^ '$Changeset: <not expanded> $'
! !

